--Select * from Categorias;
--Select * from Clientes;
--Select * from compaņiasdeenvios;
--Select * from detallesdepedidos;
--Select * from Empleados;
--Select * from Pedidos;
--Select * from productos;
--Select * from proveedores;
-------------------------------------------------
--Select
Select NombreContacto, CargoContacto, NombreCompaņia, Telefono, Fax  from Clientes;
--Operaciones
Select idpedido, idproducto, preciounidad * cantidad
from detallesdepedidos;

Select idpedido, idproducto, preciounidad, cantidad, descuento, (preciounidad * cantidad) - descuento
from detallesdepedidos;

--Alias
Select IdCliente as Codigo, NombreContacto as Contacto, CargoContacto as Cargo, Nombrecompaņia as Empresa
from clientes;

Select idpedido as 'Codigo de Pedido', idproducto as 'Codigo de Producto', preciounidad * cantidad as Total
from detallesdepedidos;

Select idpedido as 'Codigo de Pedido',
       idproducto as 'Codigo de Producto' ,
       preciounidad as Precio,
       cantidad as Cantidad, 
       descuento as Descuento,
       (preciounidad * cantidad) - descuento as 'Total Neto'
from detallesdepedidos;